# Reference: <https://postmarketos.org/devicepkg>
# Contributor: Daniele Debernardi <drebrez@gmail.com>
pkgname=device-samsung-maguro
pkgver=3
pkgrel=3
pkgdesc="Google Galaxy Nexus (GSM)"
url="https://postmarketos.org"
arch="armv7"
license="MIT"
depends="postmarketos-base linux-samsung-maguro mkbootimg mesa-dri-swrast"
makedepends="devicepkg-dev"
subpackages="$pkgname-nonfree-firmware:nonfree_firmware"
source="deviceinfo"
options="!check !archcheck"

build() {
	devicepkg_build $startdir $pkgname
}

package() {
	devicepkg_package $startdir $pkgname
}

nonfree_firmware() {
	pkgdesc="Wifi firmware"
	depends="firmware-samsung-maguro"
	mkdir "$subpkgdir"
}

sha512sums="a956a63a4ad5d26c8d47cb910694b2a08ce1592fd02d609ca7d70fa558e28bd618384506345b35caab99efc0ca75a4dda1c9610c734b1a45d9dfa1c45f5d4a4f  deviceinfo"
